Prepare Page Update
curl --request POST \
--url https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/{revision_id}/page-update/prepare \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"targetSelector": {
"provider": "wordpress",
"postId": 2
}
}
'import requests
url = "https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/{revision_id}/page-update/prepare"
payload = {
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"idempotencyKey": "<string>",
"targetSelector": {
"provider": "wordpress",
"postId": 2
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
destinationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
idempotencyKey: '<string>',
targetSelector: {provider: 'wordpress', postId: 2}
})
};
fetch('https://api.example.com/api/v1/brands/{brand_id}/brand-intelligence/seo-native-create/{revision_id}/page-update/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updateTarget": {
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourcePageRef": {
"brandId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceKind": "owned_page_capture",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>",
"canonicalUrl": "<string>",
"evidenceRecordId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"canonicalUrl": "<string>",
"currentTitle": "<string>",
"currentBody": "<string>",
"currentContentSha256": "<string>",
"preparedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"proof": "<string>",
"provider": "wordpress",
"postType": "posts",
"postId": 2,
"modifiedGmt": "<string>"
},
"available": true,
"supported": true,
"proposedTitle": "<string>",
"proposedBody": "<string>",
"operation": "update_page",
"guidance": "<string>",
"unavailableReason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}SEO and Content Create
Prepare Page Update
POST
/
api
/
v1
/
brands
/
{brand_id}
/
brand-intelligence
/
seo-native-create
/
{revision_id}
/
page-update
/
prepare
Prepare Page Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
- NativeCreateWordPressPageUpdateTarget
- NativeCreateKeystaticPageUpdateTarget
Show child attributes
Show child attributes
Required string length:
1 - 500Required string length:
1 - 200000Available options:
update_page, create_review_draft Required string length:
1 - 500Required string length:
1 - 500Was this page helpful?